/*---------------------------------------------------------------------------
File:         			JFLAP.java
Package:                        JFLAP Version 3.0
Author:				Magda & Octavian Procopiuc V1.0 07/15/96
                                
Description of Contents:	Contains class JFLAP.
				
--------------------------------------------------------------------------*/

/* 
 * Susan H. Rodger, Magda Procopiuc, Octavian Procopiuc
 * Computer Science Department
 * Duke University
 * June 1998
 * Supported by National Science Foundation DUE-9596002 and DUE-9555084.
 *
 * Copyright (c) 1998
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */
import flap.*;
import java.awt.*;

/**
 * The JFLAP class contains the main() function, which is
 * called by the Java interpreter.
 *
 * @author	Magda and Octavian Procopiuc
 * @version	1.0 15 July 1996
 */
public class JFLAP extends java.applet.Applet {

 /**
  * Obsolete. To run the program as an applet
  * (for demo purposes only), use the class FLAPApplet.
  *
  * @see FLAPApplet
  */
  public void init() {

    MainMenu mm = new MainMenu(null, true);
    mm.pack();
    mm.show();

  }

 /**
  * The main function shows the main menu.
  *
  * @see flap.MainMenu
  */
  public static void main(String args[]) {
    MainMenu mm = new MainMenu(args, false);
    mm.pack();
    mm.show();
    mm.showWindows();
  }
}
